org.apache.lucene.swing.models

## Class ListSearcher

- java.lang.Object
- - javax.swing.AbstractListModel
  - - org.apache.lucene.swing.models.ListSearcher

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.ListModel

      public class ListSearcher
      extends javax.swing.AbstractListModel

  See table searcher explanation.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractListModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListSearcher(javax.swing.ListModel newModel)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Analyzer` | `getAnalyzer()`
    `java.lang.Object` | `getElementAt(int index)`
    `int` | `getSize()`
    `void` | `search(java.lang.String searchString)` Run a new search.
    `void` | `setAnalyzer(Analyzer analyzer)`

    - ### Methods inherited from class javax.swing.AbstractListModel

      `addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListSearcher

          public ListSearcher(javax.swing.ListModel newModel)

  - ### Method Detail

    - #### search

          public void search(java.lang.String searchString)

      Run a new search.
      Parameters:
        `searchString` - Any valid lucene search string

    - #### getAnalyzer

          public Analyzer getAnalyzer()

      Returns:
        The current lucene analyzer

    - #### setAnalyzer

          public void setAnalyzer(Analyzer analyzer)

      Parameters:
        `analyzer` - The new analyzer to use

    - #### getSize

          public int getSize()

    - #### getElementAt

          public java.lang.Object getElementAt(int index)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.